Bug 1028379 - Cannot create relational source with Sybase jconn4.jar
Cannot create relational source with Sybase jconn4.jar
Status: CLOSED WONTFIX
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Van Halbert
:
Depends On: 1028380
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 05:32 EST by Lucie Fabrikova
Modified: 2014-07-09 01:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 09:03:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-1920 Blocker Closed Cannot create relational source with Sybase jconn4.jar 2015-07-22 03:21:20 EDT

  None (edit)
Description Lucie Fabrikova 2013-11-08 05:32:14 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 JBoss JIRA Server 2013-11-08 10:03:19 EST
Barry LaFond <blafond@jboss.org> made a comment on jira TEIIDDES-1920

Lucie,

Can you verify that you can successfully Test Connection in the Connection profile wizard?

If Data Tools can't connect to your Sybase instance with your attached driver jar, then it's an Eclipse/Sybase issue and not a Designer issue.
Comment 3 JBoss JIRA Server 2013-11-11 03:05:46 EST
Lucie Fabrikova <lfabriko@redhat.com> made a comment on jira TEIIDDES-1920

I can click on Test connection in the connection profile wizard "New Sybase ASE Connection Profile", on page "Specify a Driver and Connection Details" and the ping succeeds.
Comment 4 JBoss JIRA Server 2013-11-11 03:10:42 EST
Lucie Fabrikova <lfabriko@redhat.com> made a comment on jira TEIIDDES-1920

Clicking on Test connection in the connection profile wizard "New Sybase ASE Connection Profile", on page "Specify a Driver and Connection Details":
- Attached driver jconn4-26666.jar: ping fails
- newly attached driver jconn4-26502.jar: ping succeeds, source model cannot be created
Comment 6 JBoss JIRA Server 2013-11-19 09:49:54 EST
Van Halbert <vhalbert@jboss.org> made a comment on jira TEIIDDES-1920

Lucie,

Have you been able to get any sybase driver to work that allows you to import and create the source model?
Comment 7 JBoss JIRA Server 2013-11-19 11:58:40 EST
Barry LaFond <blafond@jboss.org> made a comment on jira TEIIDDES-1920

I was able to test connection and import into Teiid Designer using

1) jconn4-26502.jar and....
2) used the Sybase JDBC Driver for Sybase ASA 10.x driver definition option
3) specified the driver class as:  com.sybase.jbdc4.jdbc.SybDriver
4) Used a QE Sybase instance for BQT2, with port == 5000

There are 2 groups of Sybase connection profiles (ASE and ASA) and multiple flavors/versions for each of those.

So I think you'll need to be clear/concise with your driver type in this test.
Comment 8 JBoss JIRA Server 2013-11-19 14:10:32 EST
Barry LaFond <blafond@jboss.org> made a comment on jira TEIIDDES-1920

I was able to test connection and import into Teiid Designer using

1) jconn4-26502.jar and....
2) used the Sybase JDBC Driver for Sybase ASA 10.x driver definition option
3) specified the driver class as:  com.sybase.jbdc4.jdbc.SybDriver
4) Used a QE Sybase instance for BQT2, with port == 5000

There are 2 groups of Sybase connection profiles (ASE and ASA) and multiple flavors/versions for each of those.

So I think you'll need to be clear/concise with your driver type in this test.

NOTE: Both Preview Data fails for the imported tables as does Execute VDB containing the Sybase model.
Comment 9 JBoss JIRA Server 2013-11-19 14:25:45 EST
Barry LaFond <blafond@jboss.org> made a comment on jira TEIIDDES-1920

I was able to test connection and import into Teiid Designer using

1) jconn4-26502.jar and....
2) used the Sybase JDBC Driver for Sybase ASA 10.x driver definition option
3) specified the driver class as:  com.sybase.jbdc4.jdbc.SybDriver
4) Used a QE Sybase instance for BQT2, with port == 5000

There are 2 groups of Sybase connection profiles (ASE and ASA) and multiple flavors/versions for each of those.

So I think you'll need to be clear/concise with your driver type in this test.

NOTE:
* Preview Data fails for the imported tables 
* Execute VDB containing the Sybase model.
* Sample Contents fails using the Data Tools direction Connection to the DB
Comment 10 JBoss JIRA Server 2013-11-19 14:26:37 EST
Barry LaFond <blafond@jboss.org> made a comment on jira TEIIDDES-1920

I was able to test connection and import into Teiid Designer using

1) jconn4-26502.jar and....
2) used the Sybase JDBC Driver for Sybase ASA 10.x driver definition option
3) specified the driver class as:  com.sybase.jbdc4.jdbc.SybDriver
4) Used a QE Sybase instance for BQT2, with port == 5000

There are 2 groups of Sybase connection profiles (ASE and ASA) and multiple flavors/versions for each of those.

So I think you'll need to be clear/concise with your driver type in this test.

NOTE:
* Preview Data fails for the imported tables 
* Execute VDB fails containing the same Sybase mode/tables
* Sample Contents fails using the Data Tools direction Connection to the DB
Comment 11 JBoss JIRA Server 2013-11-20 03:57:33 EST
Lucie Fabrikova <lfabriko@redhat.com> made a comment on jira TEIIDDES-1920

I reproduced the import described in Barry's previous comment;
- the preview of data gives the same error message in log as described in TEIID-2730.

@Van Halbert: My original setup was Sybase ASE 15.x, jconn4-25602 and I couldn't complete the import wizard from the bqt2 database (but from a different one, with different structure, I could).
Comment 12 JBoss JIRA Server 2013-11-20 03:59:09 EST
Lucie Fabrikova <lfabriko@redhat.com> made a comment on jira TEIIDDES-1920

I reproduced the import described in Barry's previous comment;
- the preview of data gives the same error message in log as described in TEIID-2730.

@Van Halbert: My original setup was Sybase ASE 15.x, jconn4-25602 and I couldn't complete the import wizard from the bqt2 database (but from a different database, with different structure, I could).
Comment 13 JBoss JIRA Server 2013-11-20 04:01:53 EST
Lucie Fabrikova <lfabriko@redhat.com> made a comment on jira TEIIDDES-1920

I reproduced the import described in Barry's previous comment;
- the preview of data gives the same error message in log as described in TEIID-2730.

@Van Halbert: My original setup was Sybase ASE 15.x, jconn4-25602 and I couldn't complete the import wizard from the bqt2 database (but from a different database, with different structure, I could). The model can be imported with jconn4-25602 and Sybase ASA 10.x.
Comment 14 JBoss JIRA Server 2013-11-20 10:40:51 EST
Barry LaFond <blafond@jboss.org> made a comment on jira TEIIDDES-1920

Data Tools Connection Profile for jconn4-26502.jar
Comment 15 JBoss JIRA Server 2013-11-20 10:43:34 EST
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-1920 to Resolved
Comment 16 JBoss JIRA Server 2013-11-20 10:43:34 EST
Barry LaFond <blafond@jboss.org> made a comment on jira TEIIDDES-1920

Was able to create proper connection profile (attached), connect to sybase, sample data (data tools) and import model.
Comment 18 JBoss JIRA Server 2014-05-07 17:04:19 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-1920 to Closed

Note You need to log in before you can comment on or make changes to this bug.